
const expect = require("chai").expect
const tencentcloud = require("../../tencentcloud-sdk-nodejs")
const client = new tencentcloud.emr.v20190103.Client({
  credential: {
    secretId: process.env.secretId,
    secretKey: process.env.secretKey,
  },
  region: "ap-shanghai",
  profile: {
    signMethod: "TC3-HMAC-SHA256",
    httpProfile: {
      reqMethod: "POST",
      reqTimeout: 30,
      endpoint: "cvm.ap-shanghai.tencentcloudapi.com",
    },
  },
})
describe("emr.v20190103.test.js", function () {

it("emr.v20190103.DescribeYarnApplications", async function () {
    try {
       const data = await client.DescribeYarnApplications({})
       expect(data).to.be.ok
    } catch(error) {
      expect(error.requestId).to.be.ok
      expect(error.code).to.be.ok
    }
})

it("emr.v20190103.ModifyResourcesTags", async function () {
    try {
       const data = await client.ModifyResourcesTags({})
       expect(data).to.be.ok
    } catch(error) {
      expect(error.requestId).to.be.ok
      expect(error.code).to.be.ok
    }
})

it("emr.v20190103.InquiryPriceUpdateInstance", async function () {
    try {
       const data = await client.InquiryPriceUpdateInstance({})
       expect(data).to.be.ok
    } catch(error) {
      expect(error.requestId).to.be.ok
      expect(error.code).to.be.ok
    }
})

it("emr.v20190103.CreateCluster", async function () {
    try {
       const data = await client.CreateCluster({})
       expect(data).to.be.ok
    } catch(error) {
      expect(error.requestId).to.be.ok
      expect(error.code).to.be.ok
    }
})

it("emr.v20190103.InquiryPriceRenewInstance", async function () {
    try {
       const data = await client.InquiryPriceRenewInstance({})
       expect(data).to.be.ok
    } catch(error) {
      expect(error.requestId).to.be.ok
      expect(error.code).to.be.ok
    }
})

it("emr.v20190103.DescribeImpalaQueries", async function () {
    try {
       const data = await client.DescribeImpalaQueries({})
       expect(data).to.be.ok
    } catch(error) {
      expect(error.requestId).to.be.ok
      expect(error.code).to.be.ok
    }
})

it("emr.v20190103.ModifyResourceScheduleConfig", async function () {
    try {
       const data = await client.ModifyResourceScheduleConfig({})
       expect(data).to.be.ok
    } catch(error) {
      expect(error.requestId).to.be.ok
      expect(error.code).to.be.ok
    }
})

it("emr.v20190103.InquirePriceRenewEmr", async function () {
    try {
       const data = await client.InquirePriceRenewEmr({})
       expect(data).to.be.ok
    } catch(error) {
      expect(error.requestId).to.be.ok
      expect(error.code).to.be.ok
    }
})

it("emr.v20190103.DescribeClusterFlowStatusDetail", async function () {
    try {
       const data = await client.DescribeClusterFlowStatusDetail({})
       expect(data).to.be.ok
    } catch(error) {
      expect(error.requestId).to.be.ok
      expect(error.code).to.be.ok
    }
})

it("emr.v20190103.InquiryPriceScaleOutInstance", async function () {
    try {
       const data = await client.InquiryPriceScaleOutInstance({})
       expect(data).to.be.ok
    } catch(error) {
      expect(error.requestId).to.be.ok
      expect(error.code).to.be.ok
    }
})

it("emr.v20190103.DescribeAutoScaleRecords", async function () {
    try {
       const data = await client.DescribeAutoScaleRecords({})
       expect(data).to.be.ok
    } catch(error) {
      expect(error.requestId).to.be.ok
      expect(error.code).to.be.ok
    }
})

it("emr.v20190103.DescribeCvmQuota", async function () {
    try {
       const data = await client.DescribeCvmQuota({})
       expect(data).to.be.ok
    } catch(error) {
      expect(error.requestId).to.be.ok
      expect(error.code).to.be.ok
    }
})

it("emr.v20190103.ScaleOutInstance", async function () {
    try {
       const data = await client.ScaleOutInstance({})
       expect(data).to.be.ok
    } catch(error) {
      expect(error.requestId).to.be.ok
      expect(error.code).to.be.ok
    }
})

it("emr.v20190103.ModifyUserManagerPwd", async function () {
    try {
       const data = await client.ModifyUserManagerPwd({})
       expect(data).to.be.ok
    } catch(error) {
      expect(error.requestId).to.be.ok
      expect(error.code).to.be.ok
    }
})

it("emr.v20190103.DescribeHBaseTableOverview", async function () {
    try {
       const data = await client.DescribeHBaseTableOverview({})
       expect(data).to.be.ok
    } catch(error) {
      expect(error.requestId).to.be.ok
      expect(error.code).to.be.ok
    }
})

it("emr.v20190103.DescribeInstances", async function () {
    try {
       const data = await client.DescribeInstances({})
       expect(data).to.be.ok
    } catch(error) {
      expect(error.requestId).to.be.ok
      expect(error.code).to.be.ok
    }
})

it("emr.v20190103.RunJobFlow", async function () {
    try {
       const data = await client.RunJobFlow({})
       expect(data).to.be.ok
    } catch(error) {
      expect(error.requestId).to.be.ok
      expect(error.code).to.be.ok
    }
})

it("emr.v20190103.TerminateClusterNodes", async function () {
    try {
       const data = await client.TerminateClusterNodes({})
       expect(data).to.be.ok
    } catch(error) {
      expect(error.requestId).to.be.ok
      expect(error.code).to.be.ok
    }
})

it("emr.v20190103.DescribeUsersForUserManager", async function () {
    try {
       const data = await client.DescribeUsersForUserManager({})
       expect(data).to.be.ok
    } catch(error) {
      expect(error.requestId).to.be.ok
      expect(error.code).to.be.ok
    }
})

it("emr.v20190103.DeleteUserManagerUserList", async function () {
    try {
       const data = await client.DeleteUserManagerUserList({})
       expect(data).to.be.ok
    } catch(error) {
      expect(error.requestId).to.be.ok
      expect(error.code).to.be.ok
    }
})

it("emr.v20190103.AddUsersForUserManager", async function () {
    try {
       const data = await client.AddUsersForUserManager({})
       expect(data).to.be.ok
    } catch(error) {
      expect(error.requestId).to.be.ok
      expect(error.code).to.be.ok
    }
})

it("emr.v20190103.ModifyAutoScaleStrategy", async function () {
    try {
       const data = await client.ModifyAutoScaleStrategy({})
       expect(data).to.be.ok
    } catch(error) {
      expect(error.requestId).to.be.ok
      expect(error.code).to.be.ok
    }
})

it("emr.v20190103.DeleteAutoScaleStrategy", async function () {
    try {
       const data = await client.DeleteAutoScaleStrategy({})
       expect(data).to.be.ok
    } catch(error) {
      expect(error.requestId).to.be.ok
      expect(error.code).to.be.ok
    }
})

it("emr.v20190103.DescribeEmrApplicationStatics", async function () {
    try {
       const data = await client.DescribeEmrApplicationStatics({})
       expect(data).to.be.ok
    } catch(error) {
      expect(error.requestId).to.be.ok
      expect(error.code).to.be.ok
    }
})

it("emr.v20190103.DescribeInstanceRenewNodes", async function () {
    try {
       const data = await client.DescribeInstanceRenewNodes({})
       expect(data).to.be.ok
    } catch(error) {
      expect(error.requestId).to.be.ok
      expect(error.code).to.be.ok
    }
})

it("emr.v20190103.ModifyResourceScheduler", async function () {
    try {
       const data = await client.ModifyResourceScheduler({})
       expect(data).to.be.ok
    } catch(error) {
      expect(error.requestId).to.be.ok
      expect(error.code).to.be.ok
    }
})

it("emr.v20190103.SyncPodState", async function () {
    try {
       const data = await client.SyncPodState({})
       expect(data).to.be.ok
    } catch(error) {
      expect(error.requestId).to.be.ok
      expect(error.code).to.be.ok
    }
})

it("emr.v20190103.StartStopServiceOrMonitor", async function () {
    try {
       const data = await client.StartStopServiceOrMonitor({})
       expect(data).to.be.ok
    } catch(error) {
      expect(error.requestId).to.be.ok
      expect(error.code).to.be.ok
    }
})

it("emr.v20190103.CreateInstance", async function () {
    try {
       const data = await client.CreateInstance({})
       expect(data).to.be.ok
    } catch(error) {
      expect(error.requestId).to.be.ok
      expect(error.code).to.be.ok
    }
})

it("emr.v20190103.InquiryPriceCreateInstance", async function () {
    try {
       const data = await client.InquiryPriceCreateInstance({})
       expect(data).to.be.ok
    } catch(error) {
      expect(error.requestId).to.be.ok
      expect(error.code).to.be.ok
    }
})

it("emr.v20190103.AddMetricScaleStrategy", async function () {
    try {
       const data = await client.AddMetricScaleStrategy({})
       expect(data).to.be.ok
    } catch(error) {
      expect(error.requestId).to.be.ok
      expect(error.code).to.be.ok
    }
})

it("emr.v20190103.DescribeJobFlow", async function () {
    try {
       const data = await client.DescribeJobFlow({})
       expect(data).to.be.ok
    } catch(error) {
      expect(error.requestId).to.be.ok
      expect(error.code).to.be.ok
    }
})

it("emr.v20190103.DescribeHiveQueries", async function () {
    try {
       const data = await client.DescribeHiveQueries({})
       expect(data).to.be.ok
    } catch(error) {
      expect(error.requestId).to.be.ok
      expect(error.code).to.be.ok
    }
})

it("emr.v20190103.DescribeEmrOverviewMetrics", async function () {
    try {
       const data = await client.DescribeEmrOverviewMetrics({})
       expect(data).to.be.ok
    } catch(error) {
      expect(error.requestId).to.be.ok
      expect(error.code).to.be.ok
    }
})

it("emr.v20190103.TerminateTasks", async function () {
    try {
       const data = await client.TerminateTasks({})
       expect(data).to.be.ok
    } catch(error) {
      expect(error.requestId).to.be.ok
      expect(error.code).to.be.ok
    }
})

it("emr.v20190103.TerminateInstance", async function () {
    try {
       const data = await client.TerminateInstance({})
       expect(data).to.be.ok
    } catch(error) {
      expect(error.requestId).to.be.ok
      expect(error.code).to.be.ok
    }
})

it("emr.v20190103.DescribeAutoScaleStrategies", async function () {
    try {
       const data = await client.DescribeAutoScaleStrategies({})
       expect(data).to.be.ok
    } catch(error) {
      expect(error.requestId).to.be.ok
      expect(error.code).to.be.ok
    }
})

it("emr.v20190103.DescribeResourceSchedule", async function () {
    try {
       const data = await client.DescribeResourceSchedule({})
       expect(data).to.be.ok
    } catch(error) {
      expect(error.requestId).to.be.ok
      expect(error.code).to.be.ok
    }
})

it("emr.v20190103.DescribeAutoScaleGroupGlobalConf", async function () {
    try {
       const data = await client.DescribeAutoScaleGroupGlobalConf({})
       expect(data).to.be.ok
    } catch(error) {
      expect(error.requestId).to.be.ok
      expect(error.code).to.be.ok
    }
})

it("emr.v20190103.DescribeClusterNodes", async function () {
    try {
       const data = await client.DescribeClusterNodes({})
       expect(data).to.be.ok
    } catch(error) {
      expect(error.requestId).to.be.ok
      expect(error.code).to.be.ok
    }
})

it("emr.v20190103.DescribeTrinoQueryInfo", async function () {
    try {
       const data = await client.DescribeTrinoQueryInfo({})
       expect(data).to.be.ok
    } catch(error) {
      expect(error.requestId).to.be.ok
      expect(error.code).to.be.ok
    }
})

it("emr.v20190103.DescribeInstancesList", async function () {
    try {
       const data = await client.DescribeInstancesList({})
       expect(data).to.be.ok
    } catch(error) {
      expect(error.requestId).to.be.ok
      expect(error.code).to.be.ok
    }
})

it("emr.v20190103.ModifyResourcePools", async function () {
    try {
       const data = await client.ModifyResourcePools({})
       expect(data).to.be.ok
    } catch(error) {
      expect(error.requestId).to.be.ok
      expect(error.code).to.be.ok
    }
})

it("emr.v20190103.DescribeInsightList", async function () {
    try {
       const data = await client.DescribeInsightList({})
       expect(data).to.be.ok
    } catch(error) {
      expect(error.requestId).to.be.ok
      expect(error.code).to.be.ok
    }
})

it("emr.v20190103.ScaleOutCluster", async function () {
    try {
       const data = await client.ScaleOutCluster({})
       expect(data).to.be.ok
    } catch(error) {
      expect(error.requestId).to.be.ok
      expect(error.code).to.be.ok
    }
})

})
